#Module-Specific definitions
%define mod_name mod_auth_kerb
%define mod_conf 11_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Apache module to provides authentifation against a Kerberos server
Name:		apache-%{mod_name}
Version:	5.3
Release:	%mkrel 7
Group:		System/Servers
License:	BSD-like
URL:		http://modauthkerb.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/modauthkerb/%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}
Patch1:		mod_auth_kerb-5.0-gcc4.patch
Patch2:		mod_auth_kerb-5.0rc7-exports.diff
Requires:	krb5-libs
BuildRequires:	krb5-devel
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mod_auth_kerb is an apache module designed to provide Kerberos
user authentication to the Apache web server. Using the Basic
Auth mechanism, it retrieves a username/password pair from the
browser and checks them against a Kerberos server as set up by
your particular organization. It also supports mutual ticket
authentication, but most browsers do not support that natively.

I might look into writing a netscape plugin for it at some point.
Some browsers also require being told that they are to use Basic
Auth as opposed to seeing KerberosV* and handling that as basic
auth. The module accounts for this and 'tricks' the browser into
thinking it's normal basic auth. 

If you are using the Basic Auth mechanmism, the module does not
do any special encryption of any sort. The passing of the
username and password is done with the same Base64 encoding that
Basic Auth uses. This can easily be converted to plain text. To
counter this, I would suggest also using mod_ssl. 

%prep

%setup -q -n %{mod_name}-%{version}
%patch1 -p1 -b .gcc4
%patch2 -p0 -b .exports

cp %{SOURCE1} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
#export WANT_AUTOCONF_2_5=1
#libtoolize --copy --force; aclocal-1.7; autoconf

export APXS=%{_sbindir}/apxs

%configure2_5x --localstatedir=/var/lib \
    --with-krb5=%{_prefix} \
    --without-krb4

# this auto* magic is whacked!
#perl -pi -e "s|^KRB5_LDFLAGS.*|KRB5_LDFLAGS=-lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lresolv|g" Makefile
#perl -pi -e "s|^KRB4_LDFLAGS.*|KRB4_LDFLAGS=-lkrb4 -ldes425 -lkrb5 -lk5crypto -lcom_err -lresolv|g" Makefile

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

rm -rf .libs; cp -rp src/.libs .

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 5.3-7mdv2009.0
+ Revision: 234632
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 5.3-6mdv2009.0
+ Revision: 215530
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 5.3-5mdv2008.1
+ Revision: 181667
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 5.3-4mdv2008.0
+ Revision: 82518
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 5.3-3mdv2008.0
+ Revision: 65620
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 5.3-2mdv2007.1
+ Revision: 140608
- rebuild

* Sun Dec 17 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3-1mdv2007.1
+ Revision: 98285
- 5.3 (includes a fix for CVE-2006-5989, #27252)
- bunzipped the config file

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0-3mdv2007.0
+ Revision: 79320
- Import apache-mod_auth_kerb

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0-3mdv2007.0
- 5.0rc7
- drop upstream patches; P0,P3
- fix P2

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0-2mdk
- rebuilt against apache-2.2.0
- synced with fedora

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0-1mdk
- fix versioning
- fix dl url

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0-3mdk
- fix deps

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 2.0.54_5.0-2mdk
- rebuilt with krb5-1.4.x without krb4 support

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic
- sync patches with fedora

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-5mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-4mdk
- fix %%post and %%postun to prevent double restarts

* Fri Feb 25 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_5.0-3mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-1mdk
- rebuilt for apache 2.0.53

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0-2mdk
- fix deps

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_5.0-1mdk
- built for apache 2.0.51

* Tue Aug 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0-0.2mdk
- 5.0-rc6

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0-0.1mdk
- built for apache 2.0.50
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_5.0-0.1mdk
- 5.0 rc5
- built for apache 2.0.49

* Tue Mar 30 2004 Michael Scherer <misc@mandrake.org> 2.0.48_5.0-0.2mdk 
- Enhance Summary

